require "active_support/core_ext"
require "hashie"
require "httparty"

require "open_weather/version"
require "open_weather/client"

module OpenWeather
  def self.current(*location)
    client.weather(*location)
  end

  def self.forecast(*location)
    client.forecast(*location)
  end

  def self.daily(*location)
    client.daily_forecast(*location)
  end

  def self.find(*location)
    client.find(*location)
  end

  def self.client
    Client.new
  end
end
