require 'open_weather/query_builder'

module OpenWeather
  class Client
    include HTTParty

    base_uri "http://api.openweathermap.org/data/2.5"

    format :json

    def weather(*args)
      get '/weather', build_query(args)
    end

    def daily_forecast(*args)
      get '/forecast/daily', build_query(args)
    end

    def forecast(*args)
      get '/forecast', build_query(args)
    end

    def find(*args)
      get '/find', build_query(args, false)
    end

    def build_query(args, use_id=true)
      QueryBuilder.new(args, use_id).build
    end

    def get(path, query)
      self.class.get(path, query: query.merge(units: "metric"))
    end
  end
end
